View Issue Details

IDProjectCategoryView StatusLast Update
0002675SymmetricDSNew Featurepublic2016-08-09 13:10
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002675: Ability to add extension point for the purge service
DescriptionCreate the calls in the Purge Service to look for IPurgeListener extension points to be called during the purge.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 47344e7a

2016-07-11 10:26:30

josh-a-hicks

Details Diff
0002675: Ability to add extension point for the purge service
0002675
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/ext/IPurgeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File

Issue History

Date Modified Username Field Change
2016-07-11 09:38 josh-a-hicks New Issue
2016-07-11 09:38 josh-a-hicks Status new => assigned
2016-07-11 09:38 josh-a-hicks Assigned To => josh-a-hicks
2016-07-11 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 47344e7a
2016-07-22 14:26 josh-a-hicks Status assigned => resolved
2016-07-22 14:26 josh-a-hicks Fixed in Version => 3.8.0
2016-07-22 14:26 josh-a-hicks Resolution open => fixed
2016-08-09 13:10 admin Status resolved => closed